Package org.gradle.swiftpm

# Interface Product

All Superinterfaces:
  `Named`

public interface Product extends Named
A product in a Swift Package Manager package.

Since:
  4.6

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Returns the name of this product.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this product.
    Specified by:
      `getName` in interface `Named`
    Returns:
      The name. Never null.